Commit 4d57f94e authored by Sebastian Dröge's avatar Sebastian Dröge 🍵

Release 1.4.2

parent 1d951974
=== release 1.4.2 ===
2014-09-19 Sebastian Dröge <slomo@coaxion.net>
* configure.ac:
releasing 1.4.2
2014-09-11 19:37:33 -0400 IBM Thinklab <oblong@wall-center.(none)>
* ext/libav/gstavviddec.c:
avviddec: drain frames until libav doesn't have more data
We use have_data (that comes from libav), instead of only trying 10 times,
to know if there are more frames available. The old code was machine
dependant as different amount of frames could be decoded by different
type of (more powerful) machines, and 10 times was not always sufficient.
https://bugzilla.gnome.org/show_bug.cgi?id=736515
2014-08-08 20:04:20 +1000 Jan Schmidt <jan@centricular.com>
* ext/libav/gstavviddec.c:
avviddec: After draining frames, flush the libav decoder
Makes sure that there's really nothing stale left in the decoder
after draining.
https://bugzilla.gnome.org/show_bug.cgi?id=734661
2014-09-12 16:27:50 +0300 Sebastian Dröge <sebastian@centricular.com>
* gst-libs/ext/libav:
libav: Update to v10.5
=== release 1.4.1 === === release 1.4.1 ===
2014-08-27 Sebastian Dröge <slomo@coaxion.net> 2014-08-27 15:05:00 +0300 Sebastian Dröge <sebastian@centricular.com>
* ChangeLog:
* NEWS:
* RELEASE:
* configure.ac: * configure.ac:
releasing 1.4.1 * docs/plugins/inspect/plugin-libav.xml:
* gst-libav.doap:
Release 1.4.1
2014-08-27 12:38:35 +0300 Sebastian Dröge <sebastian@centricular.com> 2014-08-27 12:38:35 +0300 Sebastian Dröge <sebastian@centricular.com>
......
This is GStreamer Libav Plugins 1.4.1 This is GStreamer Libav Plugins 1.4.2
Release notes for GStreamer libav Plugins 1.4.1 Release notes for GStreamer libav Plugins 1.4.2
The GStreamer team is pleased to announce a bugfix release of the stable The GStreamer team is pleased to announce a bugfix release of the stable
1.4 release series. The 1.4 release series is adding new features on top 1.4 release series. The 1.4 release series is adding new features on top
...@@ -50,7 +49,8 @@ contains a set of less supported plugins that haven't passed the ...@@ -50,7 +49,8 @@ contains a set of less supported plugins that haven't passed the
Bugs fixed in this release Bugs fixed in this release
* 734608 : avvidec: decoded frames lost on EOS * 734661 : avviddec: After draining frames, flush the libav decoder
* 736515 : avviddec: keep draining buffers from libav until libav says so
==== Download ==== ==== Download ====
...@@ -88,5 +88,6 @@ subscribe to the gstreamer-devel list. ...@@ -88,5 +88,6 @@ subscribe to the gstreamer-devel list.
Contributors to this release Contributors to this release
* Aleix Conchillo Flaqué * Aleix Conchillo Flaqué
* Jan Schmidt
* Sebastian Dröge * Sebastian Dröge
   
\ No newline at end of file
...@@ -3,7 +3,7 @@ AC_PREREQ(2.62) ...@@ -3,7 +3,7 @@ AC_PREREQ(2.62)
dnl initialize autoconf dnl initialize autoconf
dnl when going to/from release please set the nano (fourth number) right ! dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too dnl releases only do Wall, cvs and prerelease does Werror too
AC_INIT(GStreamer libav, 1.4.1, AC_INIT(GStreamer libav, 1.4.2,
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer, http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer,
gst-libav) gst-libav)
...@@ -42,7 +42,7 @@ GST_API_VERSION=1.0 ...@@ -42,7 +42,7 @@ GST_API_VERSION=1.0
AC_SUBST(GST_API_VERSION) AC_SUBST(GST_API_VERSION)
AG_GST_LIBTOOL_PREPARE AG_GST_LIBTOOL_PREPARE
AS_LIBTOOL(GST, 401, 0, 401) AS_LIBTOOL(GST, 402, 0, 402)
dnl *** required versions of GStreamer stuff *** dnl *** required versions of GStreamer stuff ***
GST_REQ=1.4.0 GST_REQ=1.4.0
......
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
<description>All libav codecs and formats (local snapshot)</description> <description>All libav codecs and formats (local snapshot)</description>
<filename>../../ext/libav/.libs/libgstlibav.so</filename> <filename>../../ext/libav/.libs/libgstlibav.so</filename>
<basename>libgstlibav.so</basename> <basename>libgstlibav.so</basename>
<version>1.4.1</version> <version>1.4.2</version>
<license>GPL</license> <license>GPL</license>
<source>gst-libav</source> <source>gst-libav</source>
<package>libav</package> <package>libav</package>
......
...@@ -32,6 +32,16 @@ colorspace conversion elements. ...@@ -32,6 +32,16 @@ colorspace conversion elements.
</GitRepository> </GitRepository>
</repository> </repository>
<release>
<Version>
<revision>1.4.2</revision>
<branch>1.4</branch>
<name></name>
<created>2014-09-19</created>
<file-release rdf:resource="http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.4.2.tar.xz" />
</Version>
</release>
<release> <release>
<Version> <Version>
<revision>1.4.1</revision> <revision>1.4.1</revision>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment